SYM.WebApp/Controllers/ProjectController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SYM.BusinessLayer.Services;

namespace SYM.SearchEngine.MvcApp.Controllers
{
    public class ProjectController : Controller
    {
        //
        // GET: /Project/
        [OutputCache(Duration = 600)]
        public ActionResult Index()
        {
             //TODO: Singleton?
            InfoService infoService = new InfoService();
            var summaryStats = infoService.GetSummaryStats();

            ViewBag.counterMntn = summaryStats.counterMntn.ToString();
            ViewBag.counterMntnRange = summaryStats.counterMntnRange.ToString();
            ViewBag.counterMntnGroup = summaryStats.counterMntnGroup.ToString();
            ViewBag.counterRoute = summaryStats.counterRoutes.ToString();

            return View();
        }

    }
}

SYM.WebApp/Controllers/RouteController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Security.Claims;
using System.IO;
using SYM.DataAccessLayer;
using SYM.SearchEngine.MvcApp.Helpers;
using SYM.BusinessLayer;
using SYM.BusinessLayer.Services;
using CloudinaryDotNet.Actions;
using System.Web.Configuration;
using PagedList;
using NLog;
using System.Threading.Tasks;

namespace SYM.SearchEngine.MvcApp.Controllers
{
    public class RouteController : Controller
    {
        private Entities _context = new Entities();
        Logger logger = LogManager.GetCurrentClassLogger();

        //
        // GET: /Route/
        [Authorize]
        [OutputCache(Duration = 600, VaryByParam = "*", VaryByCustom = "User")]
        public ActionResult Index(FormCollection collection, string sortOrder, int? page, string currentFilter, string _route, string _mountain, string _country, string _region_text, string _mntn_text, string _act, string _source)
        {
            try
            {
                IEnumerable<route> routes = null;
                string meta = null;

                var identity = (ClaimsIdentity)User.Identity;
                IEnumerable<Claim> claims = identity.Claims.ToList();
                string profile_regionID = claims.FirstOrDefault(x => x.Type == "regionid").Value;
                string profile_countryID = claims.FirstOrDefault(x => x.Type == "countryid").Value;
                string profile_region = claims.FirstOrDefault(x => x.Type == ClaimTypes.StateOrProvince).Value;

                #region ViewBagInit
                if (collection.Count > 0)
                {
                    ViewBag.Mountain = String.IsNullOrEmpty(collection["mountain"]) ? null : collection["mountain"];
                    ViewBag.Mntn_text = String.IsNullOrEmpty(collection["mntn_text"]) ? null : collection["mntn_text"];
                    ViewBag.Range = String.IsNullOrEmpty(collection["range"]) ? "" : collection["range"];
                    ViewBag.Route_text = String.IsNullOrEmpty(collection["route_name"]) ? "" : collection["route_name"];
                    ViewBag.Route = String.IsNullOrEmpty(collection["route"]) ? null : collection["route"];
                    ViewBag.Country = String.IsNullOrEmpty(collection["country"]) ? null : collection["country"];
                    ViewBag.Region = String.IsNullOrEmpty(collection["region"]) ? null : collection["region"];
                    ViewBag.Activity = String.IsNullOrEmpty(collection["activity"]) ? "" : collection["activity"];
                    ViewBag.Region_text = String.IsNullOrEmpty(collection["region"]) ? "" : _context.geo_region.Find(Convert.ToInt32((string)ViewBag.Region)).region_name;
                    ViewBag.Sort = String.IsNullOrEmpty(collection["orderby"]) ? null : collection["orderby"];
                    meta = collection["meta"];

                    if (!String.IsNullOrEmpty(meta)) ViewBag.Route_text = meta;
                }
                else if (page >= 2)
                {
                    ViewBag.Region = String.IsNullOrEmpty(currentFilter) ? "0" : currentFilter;
                    ViewBag.Region_text = String.IsNullOrEmpty(_region_text) ? "" : _region_text;
                    ViewBag.Route_text = String.IsNullOrEmpty(_route) ? ViewBag.Route : _route;
                    ViewBag.Mountain = String.IsNullOrEmpty(_mountain) ? ViewBag.Mountain : _mountain;
                    ViewBag.Mntn_text = String.IsNullOrEmpty(_mntn_text) ? ViewBag.Mntn_text : _mntn_text;
                    ViewBag.Country = String.IsNullOrEmpty(_country) ? profile_countryID : _country;
                    ViewBag.Activity = String.IsNullOrEmpty(_act) ? "" : _act;
                    ViewBag.Source = String.IsNullOrEmpty(_source) ? "0" : _source;
                    ViewBag.Sort = String.IsNullOrEmpty(sortOrder) ? "" : sortOrder;
                }
                else if (Request.QueryString.HasKeys()) //If exists parameters I don't initialize some variables.
                {
                    ViewBag.Region = String.IsNullOrEmpty(currentFilter) ? "0" : currentFilter;
                    ViewBag.Region_text = String.IsNullOrEmpty(_region_text) ? "" : _region_text;
                    ViewBag.Route_text = String.IsNullOrEmpty(_route) ? ViewBag.Route : _route;
                    ViewBag.Mountain = String.IsNullOrEmpty(_mountain) ? ViewBag.Mountain : _mountain;
                    ViewBag.Mntn_text = String.IsNullOrEmpty(_mntn_text) ? ViewBag.Mntn_text : _mntn_text;
                    ViewBag.Country = String.IsNullOrEmpty(_country) ? "0" : _country;
                    ViewBag.Activity = String.IsNullOrEmpty(_act) ? "" : _act;
                    ViewBag.Source = String.IsNullOrEmpty(_source) ? "0" : _source;
                    ViewBag.Sort = String.IsNullOrEmpty(sortOrder) ? "" : sortOrder;
                }
                else
                {
                    ViewBag.Region = String.IsNullOrEmpty(currentFilter) ? profile_regionID : currentFilter;
                    ViewBag.Region_text = String.IsNullOrEmpty(_region_text) ? profile_region : _region_text;
                    ViewBag.Route_text = String.IsNullOrEmpty(_route) ? ViewBag.Route : _route;
                    ViewBag.Mountain = String.IsNullOrEmpty(_mountain) ? ViewBag.Mountain : _mountain;
                    ViewBag.Mntn_text = String.IsNullOrEmpty(_mntn_text) ? ViewBag.Mntn_text : _mntn_text;
                    ViewBag.Country = String.IsNullOrEmpty(_country) ? profile_countryID : _country;
                    ViewBag.Activity = String.IsNullOrEmpty(_act) ? "" : _act;
                    ViewBag.Source = String.IsNullOrEmpty(_source) ? "0" : _source;
                    ViewBag.Sort = String.IsNullOrEmpty(sortOrder) ? "" : sortOrder;
                }
                #endregion

                //Init Param
                string route = ViewBag.Route_text;
                int region = Convert.ToInt32((string)ViewBag.Region);
                int mountain = Convert.ToInt32((string)ViewBag.Mountain);
                int country = Convert.ToInt32((string)ViewBag.Country);
                int routeid = Convert.ToInt32((string)ViewBag.Route);
                int sourceid = Convert.ToInt32((string)ViewBag.Source);
                int valley = Convert.ToInt32((string)ViewBag.Valley);
                string tmp = ViewBag.Activity;
                List<int> activityArray = String.IsNullOrEmpty(tmp) ? null : tmp.Split(',').Select(Int32.Parse).ToList();

                //Init DropDown
                InitDropDownActivities(activityArray);

                if (routeid > 0)
                    return RedirectToAction("Details/" + routeid.ToString());

                //BL to extract data from database
                routes = GetRoutesFromDAL(region, country, mountain, valley, activityArray, route, meta, sourceid, (string)ViewBag.Sort);
                ViewBag.Count = routes.Count();

                int pageSize = 20;
                int pageNumber = (page ?? 1);
                return View(routes.ToPagedList(pageNumber, pageSize));
            }
            catch (Exception ex)
            {
                logger.Error(ex.Message);
                return View();
            }
        }

        //
        // GET: /Route/
        [OutputCache(Duration = 600, VaryByParam = "*", VaryByCustom = "User")]
        public ActionResult Index3(FormCollection collection, string sortOrder, int? page, string _reg, string _r, string _m, string _c, string _rtxt, string _mtxt, string _v, string _act)
        {
            IEnumerable<v_route_index> routes = null;
            string profile_regionID, profile_countryID, profile_region;

            //TODO: create Static Helper & Singleton 
            var identity = (ClaimsIdentity)User.Identity;
            if (identity.IsAuthenticated)
            {
                IEnumerable<Claim> claims = identity.Claims.ToList();
                profile_regionID = claims.FirstOrDefault(x => x.Type == "regionid").Value;
                profile_countryID = claims.FirstOrDefault(x => x.Type == "countryid").Value;
                profile_region = claims.FirstOrDefault(x => x.Type == ClaimTypes.StateOrProvince).Value;
            }
            else {
                profile_regionID = "1736";
                profile_countryID = "116";
                profile_region = "Lombardia";
            }

            #region ViewBagInit
            if (collection.Count > 0)
            {
                ViewBag.Mountain = String.IsNullOrEmpty(collection["mountain"]) ? null : collection["mountain"];
                ViewBag.Valley = String.IsNullOrEmpty(collection["valley"]) ? null : collection["valley"];
                ViewBag.Mntn_text = String.IsNullOrEmpty(collection["mntn_text"]) ? null : collection["mntn_text"];
                ViewBag.Meta = String.IsNullOrEmpty(collection["meta"]) ? null : collection["meta"];
                ViewBag.Range = String.IsNullOrEmpty(collection["range"]) ? "" : collection["range"];
                ViewBag.Route_text = String.IsNullOrEmpty(collection["route_name"]) ? "" : collection["route_name"];
                ViewBag.Route = String.IsNullOrEmpty(collection["route"]) ? null : collection["route"];
                ViewBag.Country = String.IsNullOrEmpty(collection["country"]) ? null : collection["country"];
                ViewBag.Region = String.IsNullOrEmpty(collection["region"]) ? null : collection["region"];
                ViewBag.Region_text = String.IsNullOrEmpty(collection["region"]) ? "" : _context.geo_region.Find(Convert.ToInt32((string)ViewBag.Region)).region_name;
                ViewBag.orderbySelected = String.IsNullOrEmpty(collection["orderby"]) ? null : collection["orderby"];
                ViewBag.Activity = String.IsNullOrEmpty(collection["activity"]) ? "" : collection["activity"];

SYM.WebApp/Views/Shared/Metr0n1c/_Metr0n1c.4.error.cshtml
@using SYM.SearchEngine.MvcApp.Helpers
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en">
<!--<![endif]-->
<!-- BEGIN HEAD -->

<head>
    <meta charset="utf-8" />
    <title>ShareYourMountain | @ViewBag.Title</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1" name="viewport" />
    <meta content="Page 404 - Page not Found" name="description" />
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="~/Content/themes/m1/assets/global/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    @Styles.Render("~/content/themes/m1/global/css")
    <!-- END THEME GLOBAL STYLES -->
    <!-- BEGIN PAGE LEVEL STYLES -->
    <link href="~/Content/themes/m1/assets/pages/css/error.css" rel="stylesheet" type="text/css" />
    <!-- END PAGE LEVEL STYLES -->
    <!-- BEGIN THEME LAYOUT STYLES -->
    <!-- END THEME LAYOUT STYLES -->
    <link rel="shortcut icon" href="favicon.ico" />
</head>
<!-- END HEAD -->

<body class="@ViewBag.ClassBody">
    @RenderBody()
    <!-- BEGIN FOOTER -->
    <div class="page-footer">
        <p class="footer-links" style="margin: 0 0 5px;">
            <a href='@Url.Action("Index","Home")'>Home</a>
            |
            <a href='@Url.Action("Index","Project")'>@SYM.Localization.Resources.Global.Footer_Project</a>
            |
            <a href="#">Privacy</a>
            |
            <a href="@Url.Action("Contact","Home")">@SYM.Localization.Resources.Global.Footer_Contact</a>
        </p>
        <div class="page-footer-inner" style="padding-bottom: 10px;">
            <strong>2016 &copy; ShareYourMountain.</strong> All rights reserved.
        </div>
    </div>
    <!--[if lt IE 9]>
    <script src="~/Content/themes/m1/assets/global/plugins/respond.min.js"></script>
    <script src="~/Content/themes/m1/assets/global/plugins/excanvas.min.js"></script>
    <![endif]-->
    <!-- BEGIN CORE PLUGINS -->
    @Scripts.Render("~/content/themes/m1/assets/core/js")
    <!-- END CORE PLUGINS -->
    <!-- BEGIN THEME GLOBAL SCRIPTS -->
    <script src="~/Content/themes/m1/assets/global/scripts/app.min.js" type="text/javascript"></script>
    <!-- END THEME GLOBAL SCRIPTS -->
    <!-- BEGIN THEME LAYOUT SCRIPTS -->
    <!-- END THEME LAYOUT SCRIPTS -->
    @if (!Html.IsDebug())
    {
        @Html.Partial("_googleAnalytics")
    }
</body>
</html>

SYM.WebApp/Views/Shared/Metr0n1c/_Metr0n1c.4.template.cshtml
@using System.Threading;
@using SYM.SearchEngine.MvcApp.Helpers
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="@(Thread.CurrentThread.CurrentCulture)" class="no-js">
<!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8" />
    <title>@ViewBag.Title | ShareYourMountain (Beta)</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1" name="viewport" />
    @RenderSection("ExtraHeadContent", required: false)
    <!-- BEGIN GLOBAL MANDATORY STYLES & PAGE LEVEL PLUGIN STYLES -->
    <link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=all" rel="stylesheet" type="text/css" />
    <link href="~/Content/themes/m1/assets/global/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="~/Content/themes/m1/assets/global/plugins/simple-line-icons/simple-line-icons.min.css" rel="stylesheet" type="text/css">
    <link href="~/Content/themes/m1/assets/global/plugins/socicon/socicon.css" rel="stylesheet" type="text/css" />
    @Styles.Render("~/content/themes/m1/global/css")
    @RenderSection("customCss4Page", required: false)
    <!-- END GLOBAL MANDATORY STYLES & PAGE LEVEL PLUGIN STYLES -->
    <!-- BEGIN THEME STYLES -->
    @Styles.Render("~/content/themes/m1/assets/layouts/4/css")
    <!-- END THEME STYLES -->
    @RenderSection("ExtraCssContent", required: false)
    <link href="~/Content/themes/m1/assets/global/plugins/bootstrap-select/css/bootstrap-select.min.css" rel="stylesheet" type="text/css" />
    <link rel="shortcut icon" href="/favicon.ico" />
    <script src="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/1.0.9/cookieconsent.min.js"></script>
    <script type="text/javascript">
        window.cookieconsent_options = { "message": "This website uses cookies to ensure you get the best experience", "dismiss": "Got it!", "learnMore": "More info", "link": "", "theme": "light-floating" };
    </script>
    <link type="text/css" rel="stylesheet" href="https://cdn.jsdelivr.net/jquery.jssocials/1.2.1/jssocials.css" />
    <link type="text/css" rel="stylesheet" href="https://cdn.jsdelivr.net/jquery.jssocials/1.2.1/jssocials-theme-flat.css" />
</head>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed page-sidebar-closed-hide-logo page-sidebar-closed">
    <div id="fb-root"></div>
    <script>
        (function (d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) return;
            js = d.createElement(s); js.id = id;
            js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.5&appId=619568898094643";
            fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk'));</script>
    <!-- BEGIN HEADER -->
    <div class="page-header navbar navbar-fixed-top">
        <!-- BEGIN HEADER INNER -->
        <div class="page-header-inner">
            <!-- BEGIN LOGO -->
            <div class="page-logo">
                <a href="@Url.Action("Index", "Home")">
                    <img src="~/Content/images/logo-txt.png" alt="logo" class="logo-default" width="170" />
                </a>
                <div class="menu-toggler sidebar-toggler">
                    <!-- DOC: Remove the above "hide" to enable the sidebar toggler button on header -->
                </div>
            </div>
            <!-- END LOGO -->
            <!-- BEGIN RESPONSIVE MENU TOGGLER -->
            <a href="javascript:;" class="menu-toggler responsive-toggler" data-toggle="collapse" data-target=".navbar-collapse">
            </a>
            <!-- END RESPONSIVE MENU TOGGLER -->
            <!-- BEGIN PAGE ACTIONS -->
            <div class="page-actions">
                <div class="btn-group logo-custom" style="padding-top: 5px; margin-right: 10px;">
                    <a href="@Url.Action("Index", "Home")">
                        <img src="~/Content/images/logo-txt.png" alt="logo" class="logo-default" width="170">
                    </a>
                </div>
                <div class="btn-group">
                    <button type="button" class="btn red-soft btn-sm dropdown-toggle" data-toggle="dropdown" data-hover="dropdown" data-close-others="true">
                        <span class="hidden-sm hidden-xs">@SYM.Localization.Resources.Global.Actions&nbsp;</span><i class="fa fa-angle-down"></i>
                    </button>
                    <ul class="dropdown-menu" role="menu">
                        @if (Request.IsAuthenticated)
                        {
                            <li>
                                <a class="" href="@Url.Action("Create", "Route")">
                                    <i class="icon-docs"></i>
                                    @SYM.Localization.Resources.Global.Actions_NewRoute
                                </a>
                            </li>
                            <li>
                                <a class="" href="@Url.Action("_UploadImage", "Mountain")" data-target="#myModal">
                                    <i class="fa fa-camera"></i> @SYM.Localization.Resources.Global.Actions_NewImage
                                </a>
                            </li>
                            <li>
                                <a class="" href="@Url.Action("_UploadImage", "Route")" data-target="#myModal">
                                    <i class="fa fa-camera-retro"></i> @SYM.Localization.Resources.Global.Actions_NewImageTopos
                                </a>
                            </li>
                            <li>
                                <a class="" href="@Url.Action("_Create", "Mountain")" data-target="#myModal">
                                    <i class="fa icon-docs"></i> @SYM.Localization.Resources.Global.Actions_NewMountain
                                </a>
                            </li>
                            <li id="action_addlink">
                                <a data-toggle="modal" href="#myModal_url">
                                    <i class="fa fa-link"></i> @SYM.Localization.Resources.Global.Actions_NewLink
                                </a>
                            </li>
                            @*<li id="action_trackgps">
                                <a data-toggle="modal" href="">
                                    <i class="fa fa-link"></i> New Track GPS
                                </a>
                            </li>*@
                        }
                        <li class="divider">
                        </li>
                        <li>
                            <a href="javascript:;">
                                <i class="icon-share"></i> Share
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <!-- END PAGE ACTIONS -->
            <!-- BEGIN PAGE TOP -->
            <div class="page-top">
                <!-- BEGIN HEADER SEARCH BOX -->
                <!-- DOC: Apply "search-form-expanded" right after the "search-form" class to have half expanded search box -->
                @using (Html.BeginForm("search", "mountain", FormMethod.Post, new { @class = "search-form", role = "form" }))
                {
                    <div class="input-group">
                        <input type="text" class="form-control input-sm" placeholder="Search Mountain..." name="meta">
                        <input type="hidden" name="country" value="116">
                        <span class="input-group-btn">
                            <a href="javascript:;" class="btn submit"><i class="icon-magnifier"></i></a>
                        </span>
                    </div>
                }
                <!-- END HEADER SEARCH BOX -->
                @Html.Partial("/Views/Shared/Metr0n1c/Partial/_4.TopNav.cshtml")
            </div>
            <!-- END PAGE TOP -->
        </div>
        <!-- END HEADER INNER -->
    </div>
    <!-- END HEADER -->
    <div class="clearfix">
    </div>
    <!-- BEGIN CONTAINER -->
    <div class="page-container">
        @Html.Partial("/Views/Shared/Metr0n1c/Partial/_4.SideBar.cshtml")
        <!-- BEGIN CONTENT -->
        <div class="page-content-wrapper">
            <div class="page-content">
                <!-- BEGIN PAGE HEAD -->
                <div class="page-head hide">
                    <!-- BEGIN PAGE TITLE -->
                    <div class="page-title">
                        <h1>@ViewBag.Title <small></small></h1>
                    </div>
                    <!-- END PAGE TITLE -->
                </div>
                <!-- END PAGE HEAD -->
                <!-- BEGIN PAGE BREADCRUMB -->
                @if(!String.IsNullOrEmpty(ViewBag.Page))
                {
                    <ul class="page-breadcrumb breadcrumb">
                        <li>
                            <a href="@Url.Action("index", "home")">Home</a><i class="fa fa-circle"></i>
                        </li>
                        @Html.Raw(ViewBag.Breadcrumb)
                        <li class="active">
                            @ViewBag.Page
                        </li>
                    </ul>
                }
                <!-- END PAGE BREADCRUMB -->
                @RenderBody()            
            </div>
        </div>
        <!-- END CONTENT -->
    </div>
    <!-- END CONTAINER -->
    <!-- BEGIN FOOTER -->
    <div class="page-footer">
        <p class="footer-links" style="margin: 0 0 5px;">
            <a href='@Url.Action("index","home")'>Home</a>
            |
            <a href='@Url.Action("index","project")'>@SYM.Localization.Resources.Global.Footer_Project</a>
            |
            <a href="/it/privacy">Privacy</a>
            |
            <a href="@Url.Action("contact","home")">@SYM.Localization.Resources.Global.Footer_Contact</a>
        </p>
        <div class="page-footer-inner" style="padding-bottom: 10px;">
            <strong>2016 &#174; ShareYourMountain.</strong> All rights reserved.
        </div>
        <div class="page-footer-inner" style="padding-bottom: 10px;margin-left: 10px;">
            <div class="fb-like" data-href="https://www.facebook.com/shareyourmountain/" data-layout="button_count" data-action="like" data-show-faces="false" data-share="false"></div>
        </div>
        <div class="scroll-to-top">
            <i class="icon-arrow-up"></i>
        </div>
    </div>
    <!-- END FOOTER -->
    <!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->
    <!-- BEGIN CORE PLUGINS -->
    <!--[if lt IE 9]>
    <script src="~/Content/themes/m1/assets/global/plugins/respond.min.js" ></script>
    <script src="~/Content/themes/m1/assets/global/plugins/excanvas.min.js"></script>
    <![endif]-->
    @Scripts.Render("~/content/themes/m1/assets/core/js")
    <script src="https://maps.googleapis.com/maps/api/js?v=3&libraries=places&key=AIzaSyCxuSsvbQNQuO41Bkzq5XyG3lqy1k814e0"></script>
    <script src="~/Content/themes/m1/assets/global/plugins/gmaps/gmaps.js" type="text/javascript"></script>
    <!-- END CORE PLUGINS -->
    <!-- BEGIN THEME GLOBAL SCRIPTS -->
    <script src="~/Content/themes/m1/assets/global/scripts/app.min.js" type="text/javascript"></script>
    <script src="~/Content/themes/m1/assets/global/scripts/datatable.min.js" type="text/javascript"></script>
    <script src="~/Content/themes/sleek/js/bootstrap-multiselect/bootstrap-multiselect.min.js"></script>
    <!--END THEME GLOBAL SCRIPTS -->
    @RenderSection("ExtraPluginJS", required: false)
    <!-- BEGIN PAGE LEVEL SCRIPTS -->
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery.jssocials/1.2.1/jssocials.min.js"></script>
    @RenderSection("ExtraPageJS", required: false)
    <!-- END PAGE LEVEL SCRIPTS -->
    <!-- BEGIN THEME LAYOUT SCRIPTS -->
    @Scripts.Render("~/content/themes/m1/assets/layouts/js")
    <!-- END THEME LAYOUT SCRIPTS -->
    <script src="~/scripts/jquery.validate.js" type="text/javascript"></script>
    <script src="~/scripts/jquery.validate.unobtrusive.js" type="text/javascript"></script>
    <script src="~/scripts/jquery.unobtrusive-ajax.min.js" type="text/javascript"></script>
    <script>
        jQuery(document).ready(function () {
            @RenderSection("ScriptOnReady", false)

            $("a[data-target=#myModal]").click(function (ev) {
                ev.preventDefault();
                var target = $(this).attr("href");
                $("#modal-body").html("");
                $("#modal-body").load(target, function () {
                    $("#myModal").modal("show");
                });
            });

            $("#myModal_submit").click(function () {
               $("#formModal").submit();
            });
        });
    </script>
    @RenderSection("scripts", required: false)
    @if (!Html.IsDebug())
    {
        @Html.Partial("_googleAnalytics")
        @*@Html.Partial("_feedbackDoorbell")*@
    }
    <!-- END JAVASCRIPTS -->
    @Html.Partial("_modalContainer")
    <link href=”https://plus.google.com/113020509386415423821” rel=”publisher” />
</body>
<!-- END BODY -->
</html>